CC = gcc

GCCFLAGS = -Wall
LIBAPOGEE = ../libapogee
LIBLILXML = ../liblilxml
CFLAGS = $(GCCFLAGS) -I$(LIBLILXML)
LDFLAGS = -L$(LIBAPOGEE) -L$(LIBLILXML)

LIBS =	-llilxml -lapogeedrv -lcfitsio -lm

OBJS =				\
	indidrivermain.o	\
	eventloop.o		\
	protocol.o		\
	format.o		\
	ccd.o

all:	ccd 

ccd:	$(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)

clean:
	rm -fr *.o ccd

install:	
	cp ccd /usr/local/bin/
        
